package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源对象属性值对象 adm_ems_obj_attr_value
 * 
 * @author ruoyi
 * @date 2024-09-25
 */
public class EmsObjAttrValue
{
    /** 序号 */
    private Long id;

    /** 对象代码 */
    private String objCode;

    /** 对象类型 */
    private Integer objType;

    /** 属性标识 */
    private String attrKey;

    /** 属性名称 */
    private String attrName;

    /** 属性值 */
    private String attrValue;

    /** 模型code */
    private String modelCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setObjCode(String objCode) 
    {
        this.objCode = objCode;
    }

    public String getObjCode() 
    {
        return objCode;
    }
    public void setObjType(Integer objType)
    {
        this.objType = objType;
    }

    public Integer getObjType()
    {
        return objType;
    }
    public void setAttrKey(String attrKey) 
    {
        this.attrKey = attrKey;
    }

    public String getAttrKey() 
    {
        return attrKey;
    }

    public String getAttrName() {
        return attrName;
    }

    public void setAttrName(String attrName) {
        this.attrName = attrName;
    }

    public void setAttrValue(String attrValue)
    {
        this.attrValue = attrValue;
    }

    public String getAttrValue() 
    {
        return attrValue;
    }
    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("objCode", getObjCode())
            .append("objType", getObjType())
            .append("attrKey", getAttrKey())
            .append("attrName", getAttrName())
            .append("attrValue", getAttrValue())
            .append("modelCode", getModelCode())
            .toString();
    }
}
